[arrandale] GPU lockup (ESR: 0x00000001 IPEHR: 0x09ebe000)

Bug #744183 reported by Pete Graner on 2011-03-28
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Fix Released
Critical
xserver-xorg-video-intel (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-intel

After doing a cold boot I received the message about a system error and this was the result of filing the bug.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu4
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
Uname: Linux 2.6.38-7-generic-pae i686
Architecture: i386
Chipset: arrandale
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
DRM.card0.DP.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.DP.2:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.DP.3:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.2:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1920x1080 1600x1200 1680x1050 1400x1050 1280x1024 1280x1024 1440x900 1280x960 1152x864 1024x768 1024x768 1024x768 832x624 800x600 800x600 800x600 800x600 720x480 640x480 640x480 640x480 640x480 720x400
 edid-base64: AP///////wAiZEEaqAcAADATAQOANh546s9VolZMnSMSUFS/74DRwLMAqUCVAJBAgYCBQHFPGjaAoHA4H0AwIDUAHzEhAAAbAAAA/ABIRjI1NwogICAgICAgAAAA/QA4SxhQDgAKICAgICAgAAAA/wA5NDhSRzNOQTAxOTYwAX8CAyLxTZ8UExIeFgGQBAUHAw4jCQcHgwEAAGcDDAAQACjejArQiiDgLRAQPpYAHzEhAAAYAR2AGHEcFiBYLCUAHzEhAACeAjqAGHE4LUBYLEUAHzEhAAAeAR2A0HIcFiAQLCWAHzEhAACeAjqA0HI4LUAQLEWAHzEhAAAeAAAAMQ==
DRM.card0.HDMI.A.3:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1920x1080 1600x1200 1680x1050 1400x1050 1280x1024 1280x1024 1440x900 1280x960 1152x864 1024x768 1024x768 1024x768 832x624 800x600 800x600 800x600 800x600 720x480 640x480 640x480 640x480 640x480 720x400
 edid-base64: AP///////wAiZEEa0gsAADATAQOANh546s9VolZMnSMSUFS/74DRwLMAqUCVAJBAgYCBQHFPGjaAoHA4H0AwIDUAHzEhAAAbAAAA/ABIRjI1NwogICAgICAgAAAA/QA4SxhQDgAKICAgICAgAAAA/wA5NDhSRzNOQTAzMDI2AVYCAyLxTZ8UExIeFgGQBAUHAw4jCQcHgwEAAGcDDAAQACjejArQiiDgLRAQPpYAHzEhAAAYAR2AGHEcFiBYLCUAHzEhAACeAjqAGHE4LUBYLEUAHzEhAAAeAR2A0HIcFiAQLCWAHzEhAACeAjqA0HI4LUAQLEWAHzEhAAAeAAAAMQ==
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: Off
 modes: 1280x800 1280x800
 edid-base64: AP///////wAwrjVAAAAAAAATAQOAHhN46h81k1lViigiUFQAAAABAQEBAQEBAQEBAQEBAQEBEhsAfFAgFjAwIDYAML4QAAAYihYAfFAgFjAwIDYAML4QAAAYAAAADwCBCjKBCigWCQAw5AUCAAAA/gBMUDE0MVdYNS1UTFAzAOY=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Sun Mar 27 10:48:01 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DuplicateSignature: (ESR: 0x00000001 IPEHR: 0x09ebe000)
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:215a]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110302)
InterpreterPath: /usr/bin/python2.7
MachineType: LENOVO 25222AU
ProcCmdline: /usr/bin/python /usr/share/apport/apport-gpu-error-intel.py
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic-pae root=UUID=2e53cb18-f31b-4bd4-88e9-f33b1268a1d1 ro quiet splash vt.handoff=7
ProcKernelCmdLine_: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic-pae root=UUID=2e53cb18-f31b-4bd4-88e9-f33b1268a1d1 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 xserver-xorg 1:7.6~3ubuntu11
 libdrm2 2.4.23-1ubuntu5
 xserver-xorg-video-intel 2:2.14.0-4ubuntu4
Renderer: Unknown
SourcePackage: xserver-xorg-video-intel
Title: [arrandale] GPU lockup (ESR: 0x00000001 IPEHR: 0x09ebe000)
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 10/25/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 6IET74WW (1.34 )
dmi.board.name: 25222AU
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6IET74WW(1.34):bd10/25/2010:svnLENOVO:pn25222AU:pvrThinkPadT410:rvnLENOVO:rn25222AU:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 25222AU
dmi.product.version: ThinkPad T410
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.libdrm2: libdrm2 2.4.23-1ubuntu5
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu11
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

[lspci]
Nux: lspci: 00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02)

Pete Graner (pgraner) wrote :
tags: removed: need-duplicate-check
Bryce Harrington (bryce) on 2011-03-30
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Download full text (4.8 KiB)

Forwarding this bug from Ubuntu reporter Pete Graner:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/744183

[Problem]
[arrandale] GPU lockup (ESR: 0x00000001 IPEHR: 0x09ebe000)

[Original Description]
After doing a cold boot I received the message about a system error and this was the result of filing the bug.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu4
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic-pae 2.6.38
Uname: Linux 2.6.38-7-generic-pae i686
Architecture: i386
Chipset: arrandale
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
DRM.card0.DP.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.DP.2:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.DP.3:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.2:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1920x1080 1600x1200 1680x1050 1400x1050 1280x1024 1280x1024 1440x900 1280x960 1152x864 1024x768 1024x768 1024x768 832x624 800x600 800x600 800x600 800x600 720x480 640x480 640x480 640x480 640x480 720x400
 edid-base64: AP///////wAiZEEaqAcAADATAQOANh546s9VolZMnSMSUFS/74DRwLMAqUCVAJBAgYCBQHFPGjaAoHA4H0AwIDUAHzEhAAAbAAAA/ABIRjI1NwogICAgICAgAAAA/QA4SxhQDgAKICAgICAgAAAA/wA5NDhSRzNOQTAxOTYwAX8CAyLxTZ8UExIeFgGQBAUHAw4jCQcHgwEAAGcDDAAQACjejArQiiDgLRAQPpYAHzEhAAAYAR2AGHEcFiBYLCUAHzEhAACeAjqAGHE4LUBYLEUAHzEhAAAeAR2A0HIcFiAQLCWAHzEhAACeAjqA0HI4LUAQLEWAHzEhAAAeAAAAMQ==
DRM.card0.HDMI.A.3:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1920x1080 1600x1200 1680x1050 1400x1050 1280x1024 1280x1024 1440x900 1280x960 1152x864 1024x768 1024x768 1024x768 832x624 800x600 800x600 800x600 800x600 720x480 640x480 640x480 640x480 640x480 720x400
 edid-base64: AP///////wAiZEEa0gsAADATAQOANh546s9VolZMnSMSUFS/74DRwLMAqUCVAJBAgYCBQHFPGjaAoHA4H0AwIDUAHzEhAAAbAAAA/ABIRjI1NwogICAgICAgAAAA/QA4SxhQDgAKICAgICAgAAAA/wA5NDhSRzNOQTAzMDI2AVYCAyLxTZ8UExIeFgGQBAUHAw4jCQcHgwEAAGcDDAAQACjejArQiiDgLRAQPpYAHzEhAAAYAR2AGHEcFiBYLCUAHzEhAACeAjqAGHE4LUBYLEUAHzEhAAAeAR2A0HIcFiAQLCWAHzEhAACeAjqA0HI4LUAQLEWAHzEhAAAeAAAAMQ==
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: Off
 modes: 1280x800 1280x800
 edid-base64: AP///////wAwrjVAAAAAAAATAQOAHhN46h81k1lViigiUFQAAAABAQEBAQEBAQEBAQEBAQEBEhsAfFAgFjAwIDYAML4QAAAYihYAfFAgFjAwIDYAML4QAAAYAAAADwCBCjKBCigWCQAw5AUCAAAA/gBMUDE0MVdYNS1UTFAzAOY=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Sun Mar 27 10:48:01 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DuplicateSignature: (ESR: 0x00000001 IPEHR: 0x09ebe000)
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:215a]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110302)
InterpreterPath: /usr/bin/python2.7
Mach...

Read more...

Created attachment 45124
BootDmesg.txt

Created attachment 45125
CurrentDmesg.txt

Created attachment 45126
XorgLog.txt

Created attachment 45127
i915_error_state.txt

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged
Changed in xserver-xorg-video-intel:
importance: Unknown → High
status: Unknown → Confirmed

Like bug 35864 more crap in the mesa (7.10.1) batch:

0x07448200: 0x071f71a0: MI UNKNOWN
0x07448204: 0x09ebe000: MI_LOAD_SCAN_LINES_EXCL
0x07448208: HEAD 0x00000000: dword 1
0x0744820c: 0x09e58001: MI_LOAD_SCAN_LINES_EXCL
Bad length (3) in MI_LOAD_SCAN_LINES_EXCL, [2, 2]
0x07448210: 0x04ee9000: dword 1
0x07448214: 0x09ebb000: dword 2
0x07448218: 0x0744bdc0: MI UNKNOWN

If this bug (and this applies to 35864 as well) is reproducible, then can you please test mesa.git (ppa:xorg-edgers) for I changed how we build the batch buffers recently.

Bryce Harrington (bryce) wrote :

Hi Pete,

Upstream requests that if you can still reproduce this to install mesa from ppa:xorg-edgers and see if it can be reproduced there; Chris Wilson recently implemented a change in upstream mesa which may better avoid this bug.

Bryce Harrington (bryce) wrote :

Hi Pete, are you still experiencing this bug? If so please install mesa from ppa:xorg-edgers and let us know if that resolves it; potentially we may be able to backport a fix, but with so little time remaining in the release it may need to be SRU'd post-release. (mesa patches can be a bit risky though, so until we know what the patch is, I can't make any promises.)

Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Incomplete
bugbot (bugbot) on 2011-04-27
description: updated

Bryce, I suspect this will be difficult to reproduce given the rate of change within mesa.

Also difficult to reproduce if we have no information on how to reproduce it.

Changed in xserver-xorg-video-intel:
importance: High → Critical
Bryce Harrington (bryce) wrote :

Hey Pete, upstream is asking for steps to reproduce the bug. Have you still been seeing these lockups?

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Pete Graner (pgraner) wrote :

Hi Bryce,

It was fixed somewhere along the line with one of the updates. I'm not sure which one. For now I'm closing and will reopen if it shows back up.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Fix Released

A patch referencing this bug report has been merged in Linux v3.4-rc1:

commit c501ae7f332cdaf42e31af30b72b4b66cbbb1604
Author: Chris Wilson <email address hidden>
Date: Wed Dec 14 13:57:23 2011 +0100

    drm/i915: Only clear the GPU domains upon a successful finish

Never got the requested info on how to reproduce, and there's a patch referencing the bug, so hopefully it's fixed.

Changed in xserver-xorg-video-intel:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.